<template>
    <div class="m-contacts">
        <div class="m-title" @click="restartCurrentChat()" style="cursor:pointer;">Personas</div>
        <div style="height: 470px;overflow-x:hidden;overflow-y:scroll">
            <template v-for="(chat, index ) in chats">
                <div :class="chat.selected ? 'mc-item active' : 'mc-item'" @click.prevent="preChangeCurrentChat(chat,index)">
                    <a class="text-black" href="#">
                        <div class="media">
                            <div class="media-left">
                                <div class="avatar box-48">
                                    <span class="avatar box-32">
                                        <img class="b-a-radius-circle" :src="chat.user.profiles.path_profile_image" alt="">              
                                    </span>
                                    <span class="status bg-success top right"></span>
                                </div>
                            </div>
                            <div class="media-body" >
                                <div class="clearfix">
                                    <h6 class="media-heading float-xs-left">

                                        {{ chat.user.name }} {{ "("+ chat.subject.name + ' ' + chat.subject.grade +")"}}
                                        <span v-show="chat.unread != 0" class="tag tag-danger" v-bind:id="chat.user.id+'_conv_span'">{{ chat.unread }}</span>

                                    </h6> 
                                </div>
                            </div>
                        </div>
                    </a>
                </div>           
            </template>
        </div>
        <form class="mf-search" >
            <input class="form-control" v-model="chatsearch" type="text" placeholder="Buscar...">
         </form>

    </div>
</template>
<script>

    import { mapGetters, mapActions  } from 'vuex'
    export default {
        data(){
            return {
                chatsearch : '',
            }
        },
        computed: {         
            ...mapGetters([
              'chats','chat'
            ]),
            chatsLoaded() {
                return this.chats.name !=''
            },
        },
         methods: {
            ...mapActions([
              'getChats',            
              'changeCurrentChat',             
              'restartCurrentChat',             
              'filterChatList',             
            ]), 

            preChangeCurrentChat(chat,index){
                this.chats[index].unread = 0;
                chat['scroll'] = 'end';
                this.changeCurrentChat(chat);
                this.$nextTick(function () {
                    console.log('updated...');
                })

            },
            

        },
          watch: {
            chatsearch(search) {
              this.filterChatList(search)
           }
        },

        created(){ 
            this.getChats();
            setTimeout(() => 
                {
                    this.chats[0]['scroll'] = 'end';
                    this.changeCurrentChat(this.chats[0])     
                },2000)
        },
    }    
</script>

<style lang="css" scoped>
    .mf-search{
        padding: 0;
    }
    .mf-search > input{
        padding: 10px;
        border:none;
        border-top: solid 1px rgba(0, 0, 0, 0.125);
    }
</style>
